import { mount } from 'enzyme'
import React from 'react'
import StyledIcon from './StyledIcon'

describe('StyledIcon component test', () => {
  it('should render correctly Icon', () => {
    const mockProps = {
      className: 'className',
      icon: 'icon',
      size: 10,
    }

    const wrapper = mount(
      <StyledIcon
        className={mockProps.className}
        icon={mockProps.icon}
        size={mockProps.size}
      />
    )

    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
