import React from 'react'
import { shallow } from 'enzyme'
import StyledIconButton from './StyledIconButton'

describe('StyledIconButton component test', () => {
  it('should render correctly StyledIconButton', () => {
    const mockProps = {
      icon: 'icon',
      size: 15,
    }

    const wrapper = shallow(
      <StyledIconButton icon={mockProps.icon} size={mockProps.size} />
    )

    expect(wrapper.getElement()).toMatchSnapshot()
  })
})
