import React from 'react'
import { Client, useClient } from 'cozy-client'
import './version.scss'

const Version: React.FC = () => {
  const client: Client = useClient()
  return (
    <div className="version-root text-14-normal">
      {`v ${client.appMetadata.version}`}
    </div>
  )
}

export default Version
